# Uses of Class
org.springframework.jdbc.core.JdbcTemplate

Packages that use JdbcTemplate
Package
Description
org.springframework.jdbc.core.namedparam
JdbcTemplate variant with named parameter support.
org.springframework.jdbc.core.simple
Simplification layer for common JDBC interactions.
org.springframework.jdbc.core.support
Classes supporting the `org.springframework.jdbc.core` package.
org.springframework.jdbc.object
The classes in this package represent RDBMS queries, updates, and stored procedures as threadsafe, reusable objects.

## Uses of JdbcTemplate in org.springframework.jdbc.core.namedparam

Methods in org.springframework.jdbc.core.namedparam that return JdbcTemplate
Modifier and Type
Method
Description
`JdbcTemplate`
NamedParameterJdbcTemplate.`getJdbcTemplate()`
Expose the classic Spring `JdbcTemplate` itself, if available, in particular for passing it on to other `JdbcTemplate` consumers.

## Uses of JdbcTemplate in org.springframework.jdbc.core.simple

Methods in org.springframework.jdbc.core.simple that return JdbcTemplate
Modifier and Type
Method
Description
`JdbcTemplate`
AbstractJdbcCall.`getJdbcTemplate()`
Get the configured `JdbcTemplate`.
`JdbcTemplate`
AbstractJdbcInsert.`getJdbcTemplate()`
Get the configured `JdbcTemplate`.
Constructors in org.springframework.jdbc.core.simple with parameters of type JdbcTemplate
Modifier
Constructor
Description
`protected`
`AbstractJdbcCall(JdbcTemplate jdbcTemplate)`
Constructor to be used when initializing using a `JdbcTemplate`.
`protected`
`AbstractJdbcInsert(JdbcTemplate jdbcTemplate)`
Constructor to be used when initializing using a `JdbcTemplate`.
``
`SimpleJdbcCall(JdbcTemplate jdbcTemplate)`
Alternative Constructor that takes one parameter with the JdbcTemplate to be used.
``
`SimpleJdbcInsert(JdbcTemplate jdbcTemplate)`
Alternative constructor that accepts the `JdbcTemplate` to be used.

## Uses of JdbcTemplate in org.springframework.jdbc.core.support

Methods in org.springframework.jdbc.core.support that return JdbcTemplate
Modifier and Type
Method
Description
`protected JdbcTemplate`
JdbcDaoSupport.`createJdbcTemplate(DataSource dataSource)`
Create a JdbcTemplate for the given DataSource.
`final JdbcTemplate`
JdbcDaoSupport.`getJdbcTemplate()`
Return the JdbcTemplate for this DAO, pre-initialized with the DataSource or set explicitly.
Methods in org.springframework.jdbc.core.support with parameters of type JdbcTemplate
Modifier and Type
Method
Description
`void`
JdbcBeanDefinitionReader.`setJdbcTemplate(JdbcTemplate jdbcTemplate)`
Deprecated.
Set the JdbcTemplate to be used by this bean factory.
`final void`
JdbcDaoSupport.`setJdbcTemplate(JdbcTemplate jdbcTemplate)`
Set the JdbcTemplate for this DAO explicitly, as an alternative to specifying a DataSource.

## Uses of JdbcTemplate in org.springframework.jdbc.object

Methods in org.springframework.jdbc.object that return JdbcTemplate
Modifier and Type
Method
Description
`JdbcTemplate`
RdbmsOperation.`getJdbcTemplate()`
Return the `JdbcTemplate` used by this operation object.
Methods in org.springframework.jdbc.object with parameters of type JdbcTemplate
Modifier and Type
Method
Description
`void`
RdbmsOperation.`setJdbcTemplate(JdbcTemplate jdbcTemplate)`
An alternative to the more commonly used `RdbmsOperation.setDataSource(javax.sql.DataSource)` when you want to use the same `JdbcTemplate` in multiple `RdbmsOperations`.
Constructors in org.springframework.jdbc.object with parameters of type JdbcTemplate
Modifier
Constructor
Description
`protected`
`StoredProcedure(JdbcTemplate jdbcTemplate, String name)`
Create a new object wrapper for a stored procedure.